%define upstream_name    JSON-Path
%define upstream_version 1.0.4

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Search nested hashref/arrayref structures using JSONPath
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Assert)
BuildRequires: perl(Exporter::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(LV)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Readonly)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Tie::IxHash)
BuildRequires: perl(Try::Tiny)
BuildArch:  noarch

%description
This module implements JSONPath, an XPath-like language for searching
JSON-like structures.

JSONPath is described at the http://goessner.net/articles/JsonPath/
manpage.

This module is JSON::JOM-compatible.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Dec 15 2023 tv <tv> 1.0.4-1.mga10
+ Revision: 2018235
- update to 1.0.4

* Thu Dec 29 2022 tv <tv> 1.0.3-1.mga9
+ Revision: 1927713
- update to 1.0.3

* Mon Sep 12 2022 tv <tv> 1.0.2-1.mga9
+ Revision: 1887404
- update to 1.0.2
- update to 1.0.1

* Wed Mar 23 2022 umeabot <umeabot> 0.510.0-2.mga9
+ Revision: 1821120
- Mageia 9 Mass Rebuild

* Fri Mar 04 2022 tv <tv> 0.510.0-1.mga9
+ Revision: 1788393
- update to 0.51

* Sat Jul 17 2021 tv <tv> 0.500.0-1.mga9
+ Revision: 1736447
- update to 0.5

* Thu Feb 25 2021 tv <tv> 0.431.0-1.mga9
+ Revision: 1691349
- update to 0.431

* Wed Feb 12 2020 umeabot <umeabot> 0.420.0-3.mga8
+ Revision: 1504849
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.420.0-2.mga7
+ Revision: 1284468
- Mageia 7 Mass Rebuild

* Sat May 05 2018 shlomif <shlomif> 0.420.0-1.mga7
+ Revision: 1226442
- New version 0.420

* Tue Oct 03 2017 tv <tv> 0.411.0-2.mga7
+ Revision: 1165046
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 guillomovitch <guillomovitch> 0.411.0-1.mga7
+ Revision: 1160606
- new version 0.411

* Sun Jun 19 2016 pterjan <pterjan> 0.205.0-6.mga6
+ Revision: 1028853
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.205.0-5.mga6
+ Revision: 949919
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.205.0-4.mga5
+ Revision: 790583
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.205.0-3.mga5
+ Revision: 739115
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.205.0-2.mga5
+ Revision: 685144
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.205.0-1.mga5
+ Revision: 585530
- update to 0.205

* Sat Oct 19 2013 umeabot <umeabot> 0.204.0-2.mga4
+ Revision: 527668
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.204.0-1.mga4
+ Revision: 441631
- update to 0.204

* Sun Jan 13 2013 umeabot <umeabot> 0.203.0-2.mga3
+ Revision: 368780
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.203.0-1.mga3
+ Revision: 306429
- update to 0.203

* Tue Sep 18 2012 jquelin <jquelin> 0.201.0-1.mga3
+ Revision: 295875
- imported package perl-JSON-Path

